package com.hzjt.domain;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

public class Ftp {
	private String ftpIp;
	private Integer ftpPort;
	private String ftpUsername;
	private String ftpPassword;

	public Ftp(String ftpIp, Integer ftpPort, String ftpUsername, String ftpPassword) {
		this.ftpIp = ftpIp;
		this.ftpPort = ftpPort;
		this.ftpUsername = ftpUsername;
		this.ftpPassword = ftpPassword;
	}

	public Ftp() {
	}

	public String getFtpIp() {
		return ftpIp;
	}

	public void setFtpIp(String ftpIp) {
		this.ftpIp = ftpIp;
	}

	public Integer getFtpPort() {
		return ftpPort;
	}

	public void setFtpPort(Integer ftpPort) {
		this.ftpPort = ftpPort;
	}

	public String getFtpUsername() {
		return ftpUsername;
	}

	public void setFtpUsername(String ftpUsername) {
		this.ftpUsername = ftpUsername;
	}

	public String getFtpPassword() {
		return ftpPassword;
	}

	public void setFtpPassword(String ftpPassword) {
		this.ftpPassword = ftpPassword;
	}

	@Override
	public String toString() {
		return "Ftp{" +
				"ftpIp='" + ftpIp + '\'' +
				", ftpPort=" + ftpPort +
				", ftpUsername='" + ftpUsername + '\'' +
				", ftpPassword='" + ftpPassword + '\'' +
				'}';
	}
}
